---
- name: Check ansible version
  import_playbook: ansible_version.yml

- hosts: bastion[0]
  gather_facts: False
  roles:
    - { role: kubespray-defaults}
    - { role: bastion-ssh-config, tags: ["localhost", "bastion"]}

- hosts: "{{ groups['etcd'] | first }}"
  roles:
    - { role: kubespray-defaults}
    - { role: recover_control_plane/etcd }

- hosts: "{{ groups['kube-master'] | first }}"
  roles:
    - { role: recover_control_plane/control-plane }

- include: cluster.yml

- hosts: "{{ groups['kube-master'] }}"
  roles:
    - { role: kubespray-defaults}
    - { role: recover_control_plane/post-recover }
